TDB_DELETE(3)

NAME
tdb_delete - delete a record from a tdb database

SYNOPSIS
#include <tdb.h>

int tdb_delete(TDB_CONTEXT *tdb, TDB_DATA key);

DESCRIPTION
Delete the record from the tdb database whose key matches key , a lump of data that is used as the index into the database. The TDB_DATA structure is defined as:

    typedef struct {
    	char *dptr;
    	size_t dsize;
    } TDB_DATA;

RETURN VALUE
A return value of 0 indicates success and -1 indicates failure.

AUTHORS
Software: Andrew Tridgell <tridge@linuxcare.com> and Luke Kenneth Casson Leighton Man page: Ben Woodard <ben@valinux.com>

SEE ALSO
gdbm(3), tdb(3)